# Generated by Django 4.2.7 on 2023-12-05 11:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Hook',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event', models.CharField(max_length=32)),
                ('tag', models.CharField(blank=True, max_length=32)),
                ('parameters', models.JSONField(blank=True, null=True)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hooks', to='contenttypes.contenttype')),
            ],
            options={
                'ordering': ('content_type', 'event', 'tag'),
            },
        ),
        migrations.CreateModel(
            name='HookLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now=True)),
                ('object_id', models.CharField(max_length=100)),
                ('payload', models.TextField(blank=True)),
                ('success', models.BooleanField(default=False)),
                ('errors', models.TextField(blank=True)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hook_logs', to='contenttypes.contenttype')),
                ('hook', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='logs', to='model_hooks.hook')),
            ],
            options={
                'ordering': ('-created',),
            },
        ),
        migrations.AddConstraint(
            model_name='hook',
            constraint=models.UniqueConstraint(condition=models.Q(('tag', ''), _negated=True), fields=('content_type', 'event', 'tag'), name='Unique constraint on content_type, event and tag'),
        ),
    ]
